/********************************************************************************
 *  Copyright 2018-2020 University of Leicester & Arm Limited                   *
 *                                                                              *
 *  Licensed under the Apache License, Version 2.0 (the "License");             *
 *  you may not use this file except in compliance with the License.            *
 *  You may obtain a copy of the License at                                     *
 *                                                                              *
 *     http://www.apache.org/licenses/LICENSE-2.0                               *
 *                                                                              *
 *  Unless required by applicable law or agreed to in writing, software         *
 *  distributed under the License is distributed on an "AS IS" BASIS,           *
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.    *
 *  See the License for the specific language governing permissions and         *
 *  limitations under the License.                                              *
 *                                                                              *
 *******************************************************************************/

#ifndef _SBST_SPEA2_COMMON_H_
#define _SBST_SPEA2_COMMON_H_

#define SPEA2_POPULATION_SIZE 26
#define SPEA2_ARCHIVE_SIZE 8
#define SPEA2_MATINGPOOL_SIZE 10
#define SPEA2_MAX_GENERATIONS 11
#define SPEA2_CHROMOSOME_LEN 3
#define SPEA2_FITNESS_DIMENSION 2
#define SPEA2_MAXDOUBLE 1E99
#define SPEA2_MINDOUBLE 1E-99
#define SPEA2_MUTATION_RATE 0.25
#define SPEA2_CROSSOVER_RATE 0.5


#endif