/********************************************************************************
 *  Copyright 2016-2020 University of Leicester & Arm Limited                   *
 *                                                                              *
 *  Licensed under the Apache License, Version 2.0 (the "License");             *
 *  you may not use this file except in compliance with the License.            *
 *  You may obtain a copy of the License at                                     *
 *                                                                              *
 *     http://www.apache.org/licenses/LICENSE-2.0                               *
 *                                                                              *
 *  Unless required by applicable law or agreed to in writing, software         *
 *  distributed under the License is distributed on an "AS IS" BASIS,           *
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.    *
 *  See the License for the specific language governing permissions and         *
 *  limitations under the License.                                              *
 *                                                                              *
 *******************************************************************************/
#ifndef _FITNESS_FUNCTION_COMMON_H_
#define _FITNESS_FUNCTION_COMMON_H_

/*Include all common headers in this block*/
#include "arm_cci_pmu_fitness_function_common.h"

/*Supported fitness function variants*/
typedef enum _fitness_fn_type {PMU_MON,HW_MON,MULTI_OBJ,COMPOSITE_FF,INVALID_FF} FIT_FN_T;

#endif