/********************************************************************************
 *  Copyright 2016-2020 University of Leicester & Arm Limited                   *
 *                                                                              *
 *  Licensed under the Apache License, Version 2.0 (the "License");             *
 *  you may not use this file except in compliance with the License.            *
 *  You may obtain a copy of the License at                                     *
 *                                                                              *
 *     http://www.apache.org/licenses/LICENSE-2.0                               *
 *                                                                              *
 *  Unless required by applicable law or agreed to in writing, software         *
 *  distributed under the License is distributed on an "AS IS" BASIS,           *
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.    *
 *  See the License for the specific language governing permissions and         *
 *  limitations under the License.                                              *
 *                                                                              *
 *******************************************************************************/
#ifndef _ARM_CCI_PMU_FITNESS_FUNCTION_COMMON_H_
#define _ARM_CCI_PMU_FITNESS_FUNCTION_COMMON_H_

/*This is the maximum counters tracked with PMU*/
#define MAX_COUNTERS 8
#define COUNTER_NAME_STR_LEN 64
#define PERF_OUT_STR_LEN 128
#define HWMON_OUT_STR_LEN 192


typedef struct _fitness_score_type
{
	char counter_name[MAX_COUNTERS][COUNTER_NAME_STR_LEN];
	long counter_score[MAX_COUNTERS];
} FIT_SCORE_T;


#endif