#    Copyright 2016-2020 University of Leicester & Arm Limited
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
from distutils.core import setup

setup(
    name='SBST automated test generator',
    version='1.0',
    py_modules=[],

    #metadata
    author='Basil Eljuse',
    author_email='be38@leicester.ac.uk, basil.eljuse@arm.com',
    description='A test suite using search based software testing algorithms to generate automated tests for ARM \
                platforms',
    license='Apache v2.0',
        keywords='sbst, hillclimbing, TC2', requires=['devlib']

)